%global namedreltag .SP1
%global namedversion %{version}%{?namedreltag}
Name:          jboss-mdr
Version:       2.2.0
Release:       %mkrel 1
Summary:       JBoss MetaData Repository
Group:         Development/Java
License:       LGPLv2+
Url:           http://www.jboss.com/products/jbossmc/
# svn export http://anonsvn.jboss.org/repos/jbossas/projects/jboss-mdr/tags/2.2.0.SP1 jboss-mdr-2.2.0.SP1
# tar czf jboss-mdr-2.2.0.SP1-src-svn.tar.gz jboss-mdr-2.2.0.SP1
Source0:       jboss-mdr-%{namedversion}-src-svn.tar.gz

Patch0:        jboss-mdr-2.2.0.SP1-no-test-deps.patch

BuildRequires: java-devel
BuildRequires: jboss-parent
BuildRequires: jpackage-utils

BuildRequires: javassist
BuildRequires: jboss-common-core
BuildRequires: jboss-logging-spi
BuildRequires: jboss-reflect >= 2.2.1

# for test
#org.jboss.test jboss-test 1.1.1.GA
BuildRequires: junit4

BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin

Requires:      javassist
Requires:      jboss-common-core
Requires:      jboss-logging-spi
Requires:      jboss-reflect

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
The JBoss Microcontainer is a refactoring of JBoss's JMX Microkernel to support direct POJO deployment and
standalone use outside the JBoss application server.

This package provides JBoss MetaData Repository.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n jboss-mdr-%{namedversion}
%patch0 -p0

%build
# test disabled unavailable deps
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}/jboss
rm -rf target/%{name}*-sources.jar
rm -rf target/%{name}*-test*.jar
install -pm 644 target/%{name}*.jar %{buildroot}%{_javadir}/jboss/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -r target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/jboss/%{name}.jar
%{_mavenpomdir}/JPP.jboss-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}

%changelog

* Fri Feb 03 2012 gil <gil> 2.2.0-1.mga2
+ Revision: 204296
- update to 2.2.0.SP1
- imported package jboss-mdr

